Subject: Re: [PATCH net-next 1/3] net: dsa: Configure the MTU for switch ports

From: Andrew Lunn <[email-masked]>
Date: Sun, 24 Nov 2019 23:48:27 +0100

> The CPU port is called with an MTU equal to the largest configured MTU
> of the slave ports. The assumption is that the user might want to
> sustain a bidirectional conversation with a partner over any switch
> port.

There is an assumption here that the MTU is enforced before the DSA
header is applied on the egress patch. And MRU is also applied once
the header is removed on ingress.  I've no idea if this is true for
all the switches we support in DSA.

We should clearly document that if the switch need the header to be
included, the function to set the MTU needs to add it.

	  Andrew